"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ImageButton_1 = __importDefault(require("../ImageButton"));
const Colors_1 = __importDefault(require("../Colors"));
const style_1 = __importDefault(require("./style"));
const NavigatorBar = ({ navigation, state, descriptors }) => {
    var _a;
    return (react_1.default.createElement(react_native_1.View, { style: style_1.default.container }, (_a = state === null || state === void 0 ? void 0 : state.routes) === null || _a === void 0 ? void 0 : _a.map((route, k) => {
        const { options } = descriptors[route.key];
        const isFocused = state.index === k;
        const label = options.tabBarLabel !== undefined ? options.tabBarLabel
            : options.title !== undefined
                ? options.title
                : route.name;
        return (react_1.default.createElement(ImageButton_1.default, { key: `bar_${k}`, styleContainer: style_1.default.button, styleText: [style_1.default.label, isFocused && { color: Colors_1.default.MainColor }], text: label, name: isFocused ? options.icon + '_active' : options.icon, size: 24, onPress: () => {
                return navigation.navigate(route.name);
            } }));
    })));
};
exports.default = NavigatorBar;
